Search#
Description#
Returns a list of all entities that match the provided criteria. Both name and description are fuzzy matches; they match any entity that contains the provided string. The type is used to filter results based on the provided type of entity. The consumer must have READ access on all returned entities.
GET /api/v1/entity
Required OAuth Scopes
No OAuth scopes are required to use this endpoint.
Parameters#
Parameter |
In |
Type |
Required |
Description |
|---|---|---|---|---|
name |
query |
string |
false |
The name to use when fuzzy-matching entities |
description |
query |
string |
false |
The description to use when fuzzy-matching entities |
type |
query |
array[integer] |
false |
To limit the scope, the type of entity to return in the results |
cursor |
query |
string |
false |
A paging cursor; if included, |
limit |
query |
integer(int32) |
false |
The number of folders to return, from 1 to 1000; by default, 1000 |
offset |
query |
integer(int64) |
false |
The item to start with on the page, greater than or equal to 0; by default, 0 |
Code Samples#
curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/entity \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/entity \
Accept:application/json \
Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/entity" \
--output-document - \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'
import requests
headers = {
'Accept': 'application/json',
'Authorization': 'Bearer {access-token}'
}
r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/entity', headers = headers)
print(r.json())
Returns#
200 - OK#
Returns a JSON object with body and cursor properties.
bodycontains an array ofFolderableDtoobjects. If the request returns no results,bodycontains an empty array.cursorcontains a paging cursor, which can be included in the next call to the endpoint to retrieve the next set of results. If no additional results,cursorisnull.
Example Responses#
{
"body": [
{
"created": "string",
"description": "string",
"id": "string",
"metadata": {},
"modified": "string",
"modifiedBy": "string",
"name": "string",
"parentId": "string",
"type": "integer",
"updated": "string",
"updatedBy": "string"
}
],
"code": "integer",
"cursor": "string"
}